# AI-Toolbox - Installers

The AI-Toolbox consists of a variety of software tools that are written in different programming languages. Some of these tools can only be run within a specific runtime environments and/or when the correct dependencies are installed. This documentation describes the setup and installation procedures required to run the tools on Windows and MacOS operation systems. The documentation is divided into the following sections:

- [Graphics Drivers](README_graphics.md)

  This section describes the installation of the graphics drivers and programming libraries for NVidia GPUs. It only applies to Windows PCs that are equipped with an NVidia graphics card.

- [C++ Compiler](README_cplusplus_compiler.md)

  This section describes the installation of a tool chain for compiling c++ programs on Windows and MacOS. This tool chain is required for installing some Python dependencies. 

- [Anaconda Environment](README_anaconda.md)

  This section describes the setup of a Anaconda environment for running most of the tools written that are written in the Python programming language. There exist a few tools that require a different anaconda environment. The installation of the environments for these tools are described together with these tools.

- [openFrameworks](README_openframeworks.md)

  Some tools require the C++ creative coding environment openFrameworks for compilation. This section describes the setup of openFrameworks and the additional addons that need to be downloaded. 

- [ZED SDK](README_zed_sdk.md)

  Some C++- and Python-based tools simplify the use of Stereolab's ZED cameras as low end motion capture system. These tools require the ZED SDK. This section describes how  to install this SDK.
  
- Supercollider

  Some tools require the Supercollider sound programming environment. This section will describe the setup of Supercollider.

